<template lang="pug">
  div(class="previous-next")
    div(v-if="previous")
      IconArrowFatLeft
    div(class="truncate grow" v-if="previous")
      a(:href="previous.path")
        span {{ previous.title }}
    div(class="truncate grow text-right" v-if="next")
      a(:href="next.path")
        span {{ next.title }}
    div(v-if="next")
      IconArrowFatRight
</template>

<script>

import IconArrowFatLeft from '~/assets/svg/ph-arrow-fat-left-fill.svg?inline';
import IconArrowFatRight from '~/assets/svg/ph-arrow-fat-right-fill.svg?inline';

export default {
  name:       "BlogPreviousNext",
  components: {
    IconArrowFatLeft,
    IconArrowFatRight,
  },
  props:      {
    previous: Object,
    next:     Object,
  },
}
</script>

<style lang="scss" scoped>
.previous-next {
  @apply
  mt-4
  flex
  w-full
  text-sm
  ;

  > div {
    @apply p-1 inline-block align-bottom;
  }

  svg {
    @apply
    w-5
    h-5
    fill-current
    ;
  }
}
</style>